For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddSecret
        • POSTDelSecret
        • POSTGetSecretValue
        • POSTGetSecrets
        • POSTSetSecretInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSecrets

SetSecretInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetSecretInfo
POST
/platform_api/SetSecretInfo
$curl -X POST "https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024!&description=Updated%20API%20key%20for%20payment%20gateway%20integration" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful update
1{
2 "result": 1
3}

Edits a secret’s parameters.

Example request: Update the value for secret 10.

Was this page helpful?
Previous

GetSecrets

Next

Authorization

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerOptional

Application ID. Required unless application_name is provided.

application_namestringOptional

Application name. Required unless application_id is provided.

secret_idintegerOptional

Secret ID to edit. Required unless secret_name is provided.

secret_namestringOptional

Secret name. Required unless secret_id is provided.

new_secret_namestringOptionalformat: "^[A-Za-z][A-Za-z0-9_]{0,63}$"<=64 characters
New secret name. The name must start with a Latin letter and can contain up to 64 characters, including Latin letters, digits and underscores
secret_valuestringOptional
Secret value. Maximum length is 8192 characters
descriptionstringOptional
Secret description. When processing, the length is truncated to the first 200 characters

Response

Successful response
resultinteger
Returns 1 if the secret has been updated successfully